Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icedyn.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icedyn.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icedyn.F90	(revision 11367)
@@ -107,9 +107,48 @@
 
       CASE ( np_dynALL )           !==  all dynamical processes  ==!
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in icedyn before ice_dyn_rhg: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
+      ENDIF
+
          !
          CALL ice_dyn_rhg   ( kt )                                          ! -- rheology  
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in icedyn before ice_dyn_adv: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
+      ENDIF
+
          CALL ice_dyn_adv   ( kt )                                          ! -- advection of ice
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'a_i after ice_dyn_adv = ',a_i(54,1)
+      ENDIF
+
          CALL ice_dyn_rdgrft( kt )                                          ! -- ridging/rafting 
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'a_i after ice_dyn_rdgrft = ',a_i(54,1)
+      ENDIF
+
          CALL ice_cor       ( kt , 1 )                                      ! -- Corrections
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'a_i after ice_cor = ',a_i(54,1)
+      ENDIF
+
          !
       CASE ( np_dynRHGADV  )       !==  no ridge/raft & no corrections ==!
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icedyn_adv.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icedyn_adv.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icedyn_adv.F90	(revision 11367)
@@ -75,4 +75,23 @@
          WRITE(numout,*) '~~~~~~~~~~~'
       ENDIF
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in icedyn_adv: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'h_ip(54,0:2) = ',SUM(h_ip)
+         WRITE(968,*) 'ato_i(54,0:2) = ',SUM(ato_i)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'v_s(54,0:2) = ',SUM(v_s)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'oa_i(54,0:2) = ',SUM(oa_i)
+         WRITE(968,*) 'a_i(54,0:2) = ',SUM(a_i)
+         WRITE(968,*) 'a_ip(54,0:2) = ',SUM(a_ip)
+         WRITE(968,*) 'v_ip(54,0:2) = ',SUM(v_ip)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
+      ENDIF
+
       !
       !---------------!
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icesbc.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icesbc.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icesbc.F90	(revision 11367)
@@ -85,4 +85,10 @@
          CALL lbc_lnk_multi( 'icesbc', utau_ice, 'U', -1., vtau_ice, 'V', -1. )
       ENDIF
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'utau_ice in icesbc = ',utau_ice(54,1)
+         WRITE(968,*) 'vtau_ice in icesbc = ',vtau_ice(54,1)
+      ENDIF
+
       !
       IF( ln_timing )   CALL timing_stop('ice_sbc')
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icestp.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icestp.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icestp.F90	(revision 11367)
@@ -146,8 +146,14 @@
                                         CALL store_fields             ! Store now ice values
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_sbc_tau = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
-         WRITE(9419,*) 'qlead(48,31) = ',qlead(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in icestp before ice_sbc_tau: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
       ENDIF
          !
@@ -166,8 +172,14 @@
          !
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_dyn = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
-         WRITE(9419,*) 'qlead(48,31) = ',qlead(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in icestp before ice_dyn: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
       ENDIF
 
@@ -179,8 +191,9 @@
          !
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_var_glo2eqv = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
-         WRITE(9419,*) 'qlead(48,31) = ',qlead(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp before ice_var_glo2eqv = ',emp(54,1)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
+         WRITE(968,*) 'sum qlead = ',SUM(qlead)
+         WRITE(968,*) 'a_i(54,1) = ',a_i(54,1)
       ENDIF
 
@@ -204,8 +217,9 @@
          !------------------------------------------------------!
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_sbc_flx = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
-         WRITE(9419,*) 'qlead(48,31) = ',qlead(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp before ice_sbc_flx = ',emp(54,1)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
+         WRITE(968,*) 'sum qlead = ',SUM(qlead)
+         WRITE(968,*) 'a_i(54,1) = ',a_i(54,1)
       ENDIF
 
@@ -215,15 +229,17 @@
          !----------------------------!
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_thd = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
-         WRITE(9419,*) 'qlead(48,31) = ',qlead(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp before ice_thd = ',emp(54,1)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
+         WRITE(968,*) 'sum qlead = ',SUM(qlead)
+         WRITE(968,*) 'a_i(54,1) = ',a_i(54,1)
       ENDIF
 
          IF( ln_icethd )                CALL ice_thd( kt )            ! -- Ice thermodynamics  
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_cor = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp before ice_cor = ',emp(54,1)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
+         WRITE(968,*) 'a_i(54,1) = ',a_i(54,1)
       ENDIF
     
@@ -232,7 +248,7 @@
          !
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_var_glo2eqv = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp before ice_var_glo2eqv = ',emp(54,1)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
       ENDIF
 
@@ -241,7 +257,7 @@
          !
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_update_flx = ',emp(48,31)
-         WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp before ice_update_flx = ',emp(54,1)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
       ENDIF
 
@@ -249,6 +265,6 @@
          !
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp before ice_dia = ',emp(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp before ice_dia = ',emp(54,1)
       ENDIF
 
@@ -261,6 +277,6 @@
          IF( ln_icectl )                CALL ice_ctl( kt )            ! -- alerts in case of model crash
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max emp ice_stp at end = ',emp(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'max emp ice_stp at end = ',emp(54,1)
       ENDIF
 
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icethd.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icethd.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icethd.F90	(revision 11367)
@@ -125,4 +125,19 @@
       ENDIF
       CALL lbc_lnk( 'icethd', zfric, 'T',  1. )
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'sum qlead in icethd before loop = ',SUM(qlead)
+         WRITE(968,*) 'sum tmask = ',SUM(tmask)
+         WRITE(968,*) 'sum at_i = ',SUM(at_i)
+         WRITE(968,*) 'sum at_i_b = ',SUM(at_i_b)
+         WRITE(968,*) 'sum qsr_oce = ',SUM(qsr_oce)
+         WRITE(968,*) 'sum frq_m = ',SUM(frq_m)
+         WRITE(968,*) 'sum qns_oce = ',SUM(qns_oce)
+         WRITE(968,*) 'sum qemp_oce = ',SUM(qemp_oce)
+         WRITE(968,*) 'sum e3t_m = ',SUM(e3t_m)
+         WRITE(968,*) 'sum t_bo = ',SUM(t_bo)
+         WRITE(968,*) 'sum sst_m = ',SUM(sst_m)
+         WRITE(968,*) 'sum zfric = ',SUM(zfric)
+      ENDIF
       !
       !--------------------------------------------------------------------!
@@ -174,4 +189,8 @@
          END DO
       END DO
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'sum qlead in icethd after loop = ',SUM(qlead)
+      ENDIF
       
       ! In case we bypass open-water ice formation
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icethd_do.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icethd_do.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/icethd_do.F90	(revision 11367)
@@ -115,4 +115,10 @@
 
       at_i(:,:) = SUM( a_i, dim=3 )
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'utau_ice in icethd_do = ',utau_ice(54,1)
+         WRITE(968,*) 'vtau_ice in icethd_do = ',vtau_ice(54,1)
+      ENDIF
+
       !------------------------------------------------------------------------------!
       ! 1) Collection thickness of ice formed in leads and polynyas
@@ -207,10 +213,11 @@
       END DO
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'npti in icetd_do = ',npti
-         WRITE(9419,*) 'max qlead = ',MAXVAL(  qlead(:,:) )
-         WRITE(9419,*) 'min qlead = ',MINVAL(  qlead(:,:) )
-         WRITE(9419,*) 'qlead(48,31) = ', qlead(48,31)
-         WRITE(9419,*) 'tau_icebfr(48,31) = ',tau_icebfr(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'npti in icetd_do = ',npti
+         WRITE(968,*) 'max qlead = ',MAXVAL(  qlead(:,:) )
+         WRITE(968,*) 'min qlead = ',MINVAL(  qlead(:,:) )
+         WRITE(968,*) 'qlead(48,31) = ', qlead(48,31)
+         WRITE(968,*) 'tau_icebfr(48,31) = ',tau_icebfr(48,31)
+         WRITE(968,*) 'sum wfx_opw = ',SUM( wfx_opw )
       ENDIF
 
@@ -239,7 +246,8 @@
          CALL tab_2d_1d( npti, nptidx(1:npti), sss_1d    (1:npti) , sss_m      )
 
-         IF(narea == 419) THEN
-            WRITE(9419,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
-            WRITE(9419,*) 'max wfx_opw_1d icethd_do after to 1d = ',MAXVAL(  ABS( wfx_opw_1d(:) )  )
+         IF(narea == 68) THEN
+            WRITE(968,*) 'wfx_opw(48,31) = ',wfx_opw(48,31)
+            WRITE(968,*) 'max wfx_opw_1d icethd_do after to 1d = ',MAXVAL(  ABS( wfx_opw_1d(:) )  )
+            WRITE(968,*) 'sum wfx_opw_1d = ',SUM( wfx_opw_1d )
          ENDIF
 
@@ -309,12 +317,12 @@
          END DO
 
-         IF(narea == 419) THEN
-            WRITE(9419,*) 'max wfx_opw_1d icethd_do after calculation = ',MAXVAL(  ABS( wfx_opw_1d(:) )  )
-            WRITE(9419,*) 'max zv_newice icethd_do after calculation = ',MAXVAL(  ABS( zv_newice(:) )  )
-            WRITE(9419,*) 'rhoi = ',rhoi
-            WRITE(9419,*) 'r1_rdtice = ',r1_rdtice
-            WRITE(9419,*) 'max qlead_1d icethd_do after calculation = ',MAXVAL(  ABS( qlead_1d(:) )  )
-            WRITE(9419,*) 'max ze_newice icethd_do after calculation = ',MAXVAL(  ABS( ze_newice(:) )  )
-            WRITE(9419,*) 'max t_bo_1d icethd_do after calculation = ',MAXVAL(  ABS( t_bo_1d(:) )  )
+         IF(narea == 68) THEN
+            WRITE(968,*) 'sum wfx_opw_1d icethd_do after calculation = ',SUM( wfx_opw_1d )
+            WRITE(968,*) 'sum zv_newice icethd_do after calculation = ',SUM(  zv_newice)
+            WRITE(968,*) 'rhoi = ',rhoi
+            WRITE(968,*) 'r1_rdtice = ',r1_rdtice
+            WRITE(968,*) 'sum qlead_1d icethd_do after calculation = ',SUM( qlead_1d)
+            WRITE(968,*) 'sum ze_newice icethd_do after calculation = ',SUM( ze_newice)
+            WRITE(968,*) 'sum t_bo_1d icethd_do after calculation = ',SUM( t_bo_1d)
          ENDIF
          
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/iceupdate.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/iceupdate.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/ICE/iceupdate.F90	(revision 11367)
@@ -145,4 +145,5 @@
          !      &           + wfx_opw(ji,jj) + wfx_dyn(ji,jj) + wfx_res(ji,jj) + wfx_lam(ji,jj) + wfx_pnd(ji,jj)
          ! wfx_snw(ji,jj) = wfx_snw_sni(ji,jj) + wfx_snw_dyn(ji,jj) + wfx_snw_sum(ji,jj)
+         WRITE(968,*) 'sum wfx_opw iceupdate before loop = ',SUM( wfx_opw )
          WRITE(968,*) 'max emp_oce iceupdate before loop = ',MAXVAL(  ABS( emp_oce(:,:) )  )
          WRITE(968,*) 'max wfx_err_sub iceupdate before loop = ',MAXVAL(  ABS( wfx_err_sub(:,:) )  )
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbccpl.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbccpl.F90	(revision 11367)
@@ -1379,7 +1379,7 @@
       ENDIF
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'k_ice, kt, k_fsbc = ',k_ice, kt, k_fsbc
-         WRITE(9419,*) 'MOD( kt-1, k_fsbc ) = ',MOD( kt-1, k_fsbc )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'k_ice, kt, k_fsbc = ',k_ice, kt, k_fsbc
+         WRITE(968,*) 'MOD( kt-1, k_fsbc ) = ',MOD( kt-1, k_fsbc )
       ENDIF
       
@@ -1402,6 +1402,6 @@
          ENDIF
 
-         IF(narea == 419) THEN
-            WRITE(9419,*) 'max zemp after coupling = ',MAXVAL(  ABS( zemp(:,:) )  )
+         IF(narea == 68) THEN
+            WRITE(968,*) 'max zemp after coupling = ',MAXVAL(  ABS( zemp(:,:) )  )
          ENDIF
 
@@ -1411,7 +1411,7 @@
          IF( srcv(jpr_cal)%laction )     zemp(:,:) = zemp(:,:) - frcv(jpr_cal)%z3(:,:,1)
 
-         IF(narea == 419) THEN
-            WRITE(9419,*) 'max zemp after runoff = ',MAXVAL(  ABS( zemp(:,:) )  )
-            WRITE(9419,*) 'max emp after runoff = ',MAXVAL(  ABS( emp(:,:) )  )
+         IF(narea == 68) THEN
+            WRITE(968,*) 'max zemp after runoff = ',MAXVAL(  ABS( zemp(:,:) )  )
+            WRITE(968,*) 'max emp after runoff = ',MAXVAL(  ABS( emp(:,:) )  )
          ENDIF
  
@@ -1426,6 +1426,6 @@
          ENDIF
 
-         IF(narea == 419) THEN
-            WRITE(9419,*) 'max emp after conversion from zemp = ',MAXVAL(  ABS( emp(:,:) )  )
+         IF(narea == 68) THEN
+            WRITE(968,*) 'max emp after conversion from zemp = ',MAXVAL(  ABS( emp(:,:) )  )
          ENDIF
 
@@ -1596,4 +1596,16 @@
          
       ENDIF
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'Has OASIS sent data = ',(  nrcvinfo(itx) == OASIS_Rcv )
+         WRITE(968,*) 'srcv(jpr_itx1)%laction = ',srcv(jpr_itx1)%laction
+         WRITE(968,*) 'frcv(jpr_itx1)%z3(54,1,1) = ',frcv(jpr_itx1)%z3(54,1,1)
+         WRITE(968,*) 'frcv(jpr_ity1)%z3(54,1,1) = ',frcv(jpr_ity1)%z3(54,1,1)
+         WRITE(968,*) 'p_taui in sbc_cpl_ice_tau = ',p_taui(54,1)
+         WRITE(968,*) 'p_tauj in sbc_cpl_ice_tau = ',p_tauj(54,1)
+         WRITE(968,*) 'max p_taui in sbc_cpl_ice_tau = ',MAXVAL(ABS(p_taui(:,:)))
+         WRITE(968,*) 'max p_tauj in sbc_cpl_ice_tau = ',MAXVAL(ABS(p_tauj(:,:)))
+      ENDIF
+
       !
    END SUBROUTINE sbc_cpl_ice_tau
@@ -1753,12 +1765,12 @@
       ENDIF
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'emp_tot(48,31) = ',emp_tot(48,31)
-         WRITE(9419,*) 'emp_ice(48,31) = ',emp_ice(48,31)
-         WRITE(9419,*) 'emp_oce(48,31) = ',emp_oce(48,31)
-         WRITE(9419,*) 'sprecip(48,31) = ',sprecip(48,31)
-         WRITE(9419,*) 'tprecip(48,31) = ',tprecip(48,31)
-         WRITE(9419,*) 'evap_ice(48,31) = ',evap_ice(48,31,:)
-         WRITE(9419,*) 'devap_ice(48,31) = ',devap_ice(48,31,:)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'sum emp_tot = ',SUM(emp_tot)
+         WRITE(968,*) 'emp_ice = ',SUM(emp_ice)
+         WRITE(968,*) 'emp_oce = ',SUM(emp_oce)
+         WRITE(968,*) 'sprecip = ',SUM(sprecip)
+         WRITE(968,*) 'tprecip = ',SUM(tprecip)
+         WRITE(968,*) 'evap_ice = ',SUM(evap_ice)
+         WRITE(968,*) 'devap_ice = ',SUM(devap_ice)
       ENDIF
 
@@ -1814,4 +1826,7 @@
       CASE( 'oce only' )         ! the required field is directly provided
          zqns_tot(:,:) = frcv(jpr_qnsoce)%z3(:,:,1)
+         DO jl=1,jpl
+            zqns_ice(:,:,jl) = zqns_tot(:,:) * a_i(:,:,jl)
+         ENDDO
       CASE( 'conservative' )     ! the required fields are directly provided
          zqns_tot(:,:) = frcv(jpr_qnsmix)%z3(:,:,1)
@@ -1856,4 +1871,11 @@
       zqns_oce = 0._wp
       WHERE( ziceld /= 0._wp )   zqns_oce(:,:) = ( zqns_tot(:,:) - SUM( a_i * zqns_ice, dim=3 ) ) / ziceld(:,:)
+
+      IF(narea == 68) THEN
+         WRITE(968,*) 'sum zqns_oce in sbccpl = ',SUM(zqns_oce)
+         WRITE(968,*) 'sum zqns_tot = ',SUM(zqns_tot)
+         WRITE(968,*) 'sum zqns_ice = ',SUM(zqns_ice)
+         WRITE(968,*) 'sum ziceld = ',SUM(ziceld)
+      ENDIF
 
       ! Heat content per unit mass of snow (J/kg)
@@ -1904,12 +1926,12 @@
       ENDIF
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'qns_tot(48,31) = ',qns_tot(48,31)
-         WRITE(9419,*) 'qns_oce(48,31) = ',qns_oce(48,31)
-         WRITE(9419,*) 'qns_ice(48,31) = ',qns_ice(48,31,:)
-         WRITE(9419,*) 'qevap_ice(48,31) = ',qevap_ice(48,31,:)
-         WRITE(9419,*) 'qprec_ice(48,31) = ',qprec_ice(48,31)
-         WRITE(9419,*) 'qemp_oce(48,31) = ',qemp_oce(48,31)
-         WRITE(9419,*) 'qemp_ice(48,31) = ',qemp_ice(48,31)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'qns_tot) = ',SUM(qns_tot)
+         WRITE(968,*) 'qns_oce) = ',SUM(qns_oce)
+         WRITE(968,*) 'qns_ice) = ',SUM(qns_ice)
+         WRITE(968,*) 'qevap_ice) = ',SUM(qevap_ice)
+         WRITE(968,*) 'qprec_ice) = ',SUM(qprec_ice)
+         WRITE(968,*) 'qemp_oce) = ',SUM(qemp_oce)
+         WRITE(968,*) 'qemp_ice) = ',SUM(qemp_ice)
       ENDIF
 
@@ -1954,5 +1976,7 @@
       CASE( 'oce only' )
          zqsr_tot(:,:  ) = MAX( 0._wp , frcv(jpr_qsroce)%z3(:,:,1) )
-         zqsr_ice(:,:,:) = 0.0
+         DO jl=1,jpl
+            zqsr_ice(:,:,jl) = zqsr_tot(:,:) * a_i(:,:,jl)
+         ENDDO
       CASE( 'conservative' )
          zqsr_tot(:,:  ) = frcv(jpr_qsrmix)%z3(:,:,1)
@@ -1981,6 +2005,6 @@
             END DO
 
-            IF(narea == 419) THEN
-               WRITE(9419,*) 'zqsr_ice(48,31) oce and ice = ',zqsr_ice(48,31,:)
+            IF(narea == 68) THEN
+               WRITE(968,*) 'zqsr_ice) oce and ice = ',SUM(zqsr_ice)
             ENDIF
 
@@ -2026,7 +2050,7 @@
       ENDIF
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'qsr_tot(48,31) = ',qsr_tot(48,31)
-         WRITE(9419,*) 'qsr_ice(48,31) = ',qsr_ice(48,31,:)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'qsr_tot) = ',SUM(qsr_tot)
+         WRITE(968,*) 'qsr_ice) = ',SUM(qsr_ice)
       ENDIF
 
@@ -2054,6 +2078,6 @@
       ENDIF
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'dqns_ice(48,31) = ',dqns_ice(48,31,:)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'dqns_ice) = ',SUM(dqns_ice)
       ENDIF
 
@@ -2068,7 +2092,7 @@
       END SELECT
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'qml_ice(48,31) = ',qml_ice(48,31,:)
-         WRITE(9419,*) 'qcn_ice(48,31) = ',qcn_ice(48,31,:)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'qml_ice) = ',SUM(qml_ice)
+         WRITE(968,*) 'qcn_ice) = ',SUM(qcn_ice)
       ENDIF
 
@@ -2094,6 +2118,6 @@
       ENDIF
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'qtr_ice_top(48,31) = ',qtr_ice_top(48,31,:)
+      IF(narea == 68) THEN
+         WRITE(968,*) 'qtr_ice_top) = ',SUM(qtr_ice_top)
       ENDIF
 
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbcmod.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbcmod.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbcmod.F90	(revision 11367)
@@ -35,4 +35,5 @@
 #if defined key_si3
    USE icestp         ! surface boundary condition: SI3 sea-ice model
+   USE ice
 #endif
    USE sbcice_cice    ! surface boundary condition: CICE sea-ice model
@@ -414,7 +415,13 @@
       IF( ln_wave     )   CALL sbc_wave( kt )            ! surface waves
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'nsbc, jp_purecpl = ',nsbc, jp_purecpl
-         WRITE(9419,*) 'max emp before sbc_cpl_rcv = ',MAXVAL(  ABS( emp(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in sbcmod before sbc_cpl_rcv: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -440,7 +447,13 @@
       !
       !                                            !==  Misc. Options  ==!
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'nn_ice = ',nn_ice
-         WRITE(9419,*) 'max emp before ice_stp = ',MAXVAL(  ABS( emp(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in sbcmod before ice_stp: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
       !
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/nemogcm.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/nemogcm.F90	(revision 11367)
@@ -75,4 +75,5 @@
    USE sbc_oce , ONLY : lk_oasis
    USE wet_dry        ! Wetting and drying setting   (wad_init routine)
+   USE ice
 #if defined key_top
    USE trcini         ! passive tracer initialisation
@@ -167,9 +168,13 @@
       istp = nit000
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn nemogcm before any steps = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
-         WRITE(9419,*) 'max emp_b = ',MAXVAL(  ABS( emp_b(:,:) )  )
-         WRITE(9419,*) 'max emp = ',MAXVAL(  ABS( emp(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before any steps: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/step.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/step.F90	(revision 11366)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/step.F90	(revision 11367)
@@ -39,4 +39,5 @@
    !
    USE iom              ! xIOs server
+   USE ice
 
    IMPLICIT NONE
@@ -94,9 +95,13 @@
       IF( ln_timing )   CALL timing_start('stp')
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before update IO = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
-         WRITE(9419,*) 'max emp_b = ',MAXVAL(  ABS( emp_b(:,:) )  )
-         WRITE(9419,*) 'max emp = ',MAXVAL(  ABS( emp(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before update IO: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -115,9 +120,13 @@
       IF( ln_crs         )   CALL iom_setkt( kstp - nit000 + 1, TRIM(cxios_context)//"_crs" )   ! tell IOM we are at time step kstp
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before external forcing = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
-         WRITE(9419,*) 'max emp_b = ',MAXVAL(  ABS( emp_b(:,:) )  )
-         WRITE(9419,*) 'max emp = ',MAXVAL(  ABS( emp(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before sbc: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -139,9 +148,13 @@
       IF( ln_sto_eos ) CALL sto_pts( tsn  )          ! Random T/S fluctuations
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before ocean physics = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
-         WRITE(9419,*) 'max emp_b = ',MAXVAL(  ABS( emp_b(:,:) )  )
-         WRITE(9419,*) 'max emp = ',MAXVAL(  ABS( emp(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before ocean physics: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -180,9 +193,13 @@
       IF( l_ldfdyn_time                    )   CALL ldf_dyn( kstp )       ! eddy viscosity coeff. 
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before ocean dynamics = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
-         WRITE(9419,*) 'max emp_b = ',MAXVAL(  ABS( emp_b(:,:) )  )
-         WRITE(9419,*) 'max emp = ',MAXVAL(  ABS( emp(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before dynamics: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -241,6 +258,13 @@
                &         CALL dyn_asm_inc   ( kstp )  ! apply dynamics assimilation increment
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max ssha step before bdy_dyn3d_dmp = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before bdy_dyn3d: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -287,7 +311,13 @@
                          CALL dyn_spg       ( kstp )  ! surface pressure gradient
 
-
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max ssha step before div_hor = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before div_hor: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -307,7 +337,13 @@
                          CALL dyn_zdf       ( kstp )  ! vertical diffusion
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before cool skin = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before cool skin: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -317,7 +353,13 @@
       IF ( ln_diurnal )  CALL stp_diurnal( kstp )
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before diagnostics = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before diagnostics: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
       
@@ -343,7 +385,13 @@
 #endif
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before active tracers = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before active tracers: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -356,14 +404,26 @@
          & ln_trainc )   CALL tra_asm_inc   ( kstp )  ! apply tracer assimilation increment
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before tra_sbc = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before tra_sbc: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
                          CALL tra_sbc       ( kstp )  ! surface boundary condition
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step after tra_sbc = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before tra_adv: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -389,7 +449,13 @@
       IF( ln_zdfnpc  )   CALL tra_npc       ( kstp )  ! update after fields by non-penetrative convection
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before boundary conditions = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before tra_nxt: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -413,14 +479,26 @@
                          CALL tra_nxt       ( kstp )  ! finalize (bcs) tracer fields at next time step and swap
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before dyn_nxt = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before dyn_nxt: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
                          CALL dyn_nxt       ( kstp )  ! finalize (bcs) velocities at next time step and swap (always called after tra_nxt)
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before ssh_swp = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before ssh_swp: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -435,7 +513,13 @@
       !
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before dia_hsb = ',MAXVAL(  ABS( sshn(:,:) )  )
-         WRITE(9419,*) 'max ssha = ',MAXVAL(  ABS( ssha(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before dia_hsb: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -450,6 +534,13 @@
       IF( ln_sto_eos )   CALL sto_rst_write( kstp )   ! write restart file for stochastic parameters
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before agrif = ',MAXVAL(  ABS( sshn(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before agrif: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
@@ -468,6 +559,13 @@
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 
-      IF(narea == 419) THEN
-         WRITE(9419,*) 'max sshn step before stp_ctl = ',MAXVAL(  ABS( sshn(:,:) )  )
+      IF(narea == 68) THEN
+         WRITE(968,*) 'in step before stp_ctl: u_ice = ',SUM(u_ice)
+         WRITE(968,*) 'v_ice(54,0:2) = ',SUM(v_ice)
+         WRITE(968,*) 'h_i(54,0:2) = ',SUM(h_i)
+         WRITE(968,*) 'h_s(54,0:2) = ',SUM(h_s)
+         WRITE(968,*) 'v_i(54,0:2) = ',SUM(v_i)
+         WRITE(968,*) 'sv_i(54,0:2) = ',SUM(sv_i)
+         WRITE(968,*) 'e_s(54,0:2) = ',SUM(e_s)
+         WRITE(968,*) 'e_i(54,0:2) = ',SUM(e_i)
       ENDIF
 
